"""empty message

Revision ID: 827903ee7012
Revises: 43af422ba5ab
Create Date: 2025-01-20 11:44:16.563106

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects.postgresql import ENUM


# revision identifiers, used by Alembic.
revision = '827903ee7012'
down_revision = '43af422ba5ab'
branch_labels = None
depends_on = None

location_enum = ENUM('DEVENTER', 'ENSCHEDE', 'OTHER', name='location_enum')


def upgrade():
    location_enum.create(op.get_bind(), checkfirst=True)
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('time_log', sa.Column('location', sa.Enum('DEVENTER', 'ENSCHEDE', 'OTHER', name='location_enum'), nullable=True))
    # ### end Alembic commands ###



def downgrade():
    location_enum.drop(op.get_bind(), checkfirst=True)
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('time_log', 'location')
    # ### end Alembic commands ###
